<#ibiztemplate>
TARGET=PSSYSAPP
</#ibiztemplate>
<#assign httpPort = "8080">
<#assign nacosUrl = "172.16.102.211:8848" >
<#assign casUrl = "http://passportcs.ibizlab.cn" >
<#assign nodehost = "localhost">
<#assign devmode = "true" >
<#if sysrun?? >
  <#if sysrun.getPSDevSlnMSDepApp()??>
    <#assign sysr = sysrun.getPSDevSlnMSDepApp()/>
    <#if sysr.getPSDCMSPlatformNode()??>
      <#if sysr.getPSDCMSPlatformNode().getSSHIPAddr()??>
        <#assign nodehost = sysr.getPSDCMSPlatformNode().getSSHIPAddr()>
      </#if>
      <#if sysr.getPSDCMSPlatformNode().getPSDCMSPlatform().getUserParam("nacos","172.16.102.211:8848")??>
        <#assign nacosUrl = sysr.getPSDCMSPlatformNode().getPSDCMSPlatform().getUserParam("nacos","172.16.102.211:8848")>
        <#assign casUrl = sysr.getPSDCMSPlatformNode().getPSDCMSPlatform().getUserParam("cas","http://passportcs.ibizlab.cn")>
      </#if>
    </#if>
    <#--  微服务部署APP  -->
    <#if sysr.getHttpPort()??>
        <#assign httpPort = sysr.getHttpPort()?c>
    </#if>
    <#if sysr.getUserParam("devmode","true")??>
        <#assign devmode = sysr.getUserParam("devmode","true")>
    </#if>
  </#if>
</#if>
<#assign isWFAPP = false>
<#if app.getAppMode()?? && app.getAppMode() == "WFAPP" && app.getAllPSAppWFs()??>
    <#assign isWFAPP = true>
</#if>
server:
  devmode: ${devmode}
  port: ${httpPort}
  servlet:
    session:
      cookie:
        name: ${sys.getCodeName()?lower_case}${app.getPKGCodeName()?lower_case}

spring:
  application:
    name: ${sys.getCodeName()?lower_case}${app.getPKGCodeName()?lower_case}
  cloud:
    nacos:
      discovery:
        server-addr: ${nacosUrl}

security:
  cas:
    server:
      host: ${casUrl}
      login: ${r'${security.cas.server.host}'}/login
      logout: ${r'${security.cas.server.host}'}/logout
    service:
      host: http://${nodehost}:${r'${server.port}'}
      login: /login/cas
      logout: /logout

feign:
  sentinel:
    enabled: true

# Logger Config
logging:
  level:
    ${pub.getPKGCodeName()}: debug

app:
  web:
    url: http://${nodehost}:${r'${server.port}'}
    wfstarturl: /#/%s/null/editview
#    wfviewurl: /#/dewfdataredirectview
    wfviewurl: /#/appwfdataredirectview
    proxyviewurl: /#/appdataredirectview
<#if app.getPSSysServiceAPI()??>
  service:
    ${app.getPSSysServiceAPI().getCodeName()?lower_case}:
      service-id: ${app.getPSSysServiceAPI().getServiceCodeName()?lower_case}
</#if>

ibiz:
  appid: ${app.getDeployId()}
  appname: ${sys.getCodeName()?lower_case}${app.getPKGCodeName()?lower_case}
  applogicname: ${sys.getLogicName()}${app.getName()}


