<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <artifactId>${pub.getCodeName()?lower_case}</artifactId>
        <groupId>${pub.getPKGCodeName()?lower_case}</groupId>
        <version>${pub.getVersionString()?default("V0.0.1_alpha")}</version>
    </parent>

    <artifactId>${pub.getCodeName()?lower_case}-boot</artifactId>
    <name>${pub.getCodeName()?lower_case?cap_first} Boot</name>
    <description>${pub.getCodeName()?lower_case?cap_first} Boot</description>

    <dependencies>
        <dependency>
            <groupId>${pub.getPKGCodeName()?lower_case}</groupId>
            <artifactId>${pub.getCodeName()?lower_case}-core</artifactId>
            <version>${r'${project.version}'}</version>
        </dependency>
        <dependency>
            <groupId>${pub.getPKGCodeName()?lower_case}</groupId>
            <artifactId>${pub.getCodeName()?lower_case}-mybatis</artifactId>
            <version>${r'${project.version}'}</version>
        </dependency>
<#if sys.getAllPSSysServiceAPIs()??>
<#list sys.getAllPSSysServiceAPIs() as sysapi>
        <dependency>
            <groupId>${pub.getPKGCodeName()?lower_case}</groupId>
            <artifactId>${pub.getCodeName()?lower_case}-service-${sysapi.getCodeName()?lower_case}</artifactId>
            <version>${r'${project.version}'}</version>
        </dependency>
        <dependency>
            <groupId>${pub.getPKGCodeName()?lower_case}</groupId>
            <artifactId>${pub.getCodeName()?lower_case}-service-usr-${sysapi.getCodeName()?lower_case}</artifactId>
            <version>${r'${project.version}'}</version>
        </dependency>
</#list>
</#if>
<#if sys.getAllPSSubSysServiceAPIs()??>
<#list sys.getAllPSSubSysServiceAPIs() as subapi>
        <dependency>
            <groupId>${pub.getPKGCodeName()?lower_case}</groupId>
            <artifactId>${pub.getCodeName()?lower_case}-client-${subapi.getCodeName()?lower_case}</artifactId>
            <version>${r'${project.version}'}</version>
        </dependency>
    </#list>
</#if>
        <dependency>
            <groupId>${pub.getPKGCodeName()?lower_case}</groupId>
            <artifactId>${pub.getCodeName()?lower_case}-usr</artifactId>
            <version>${r'${project.version}'}</version>
        </dependency>
    </dependencies>


    <build>
		<resources>
			<resource>
				<directory>${r'${basedir}'}/src/main/resources</directory>
				<includes>
					<include>**/**</include>
				</includes>
			</resource>
		</resources>

		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
					<finalName>${pub.codeName?lower_case}</finalName>
					<jvmArguments>-Dfile.encoding=UTF-8</jvmArguments>
					<mainClass>${pub.getPKGCodeName()}.${pub.codeName?cap_first}Application</mainClass>
					<#--  <outputDirectory>../</outputDirectory>  -->
				</configuration>
				<executions>
					<execution>
						<goals>
							<goal>repackage</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

</project>
