<#ibiztemplate>
TARGET=PSDATAENTITY
</#ibiztemplate>
package ${pub.getPKGCodeName()}.core.${item.getPSSystemModule().getCodeName()?lower_case}.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import ${pub.getPKGCodeName()}.util.ISearchFilter;
import ${pub.getPKGCodeName()}.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import ${pub.getPKGCodeName()}.util.SearchContext;
import ${pub.getPKGCodeName()}.util.SearchFieldFilter;
import ${pub.getPKGCodeName()}.util.enums.SearchFieldType;
import ${pub.getPKGCodeName()}.util.enums.SearchGroupType;
import ${pub.getPKGCodeName()}.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[${item.codeName}] 查询条件对象
 */
@Data
public class ${item.codeName}SearchContext extends SearchContext {

<#list item.getPSDEFields() as defield>
    <#if defield.getAllPSDEFSearchModes()??>
        <#list defield.getAllPSDEFSearchModes() as formitem>
            <#assign defDataType=formitem.getPSDEField().getDataType()>
            <#if defDataType == "DATETIME">
       @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone="GMT+8")
            <#elseif defDataType == "DATE">
       @JsonFormat(pattern="yyyy-MM-dd", timezone="GMT+8")
            <#elseif defDataType == "TIME">
       @JsonFormat(pattern="HH:mm", timezone="GMT+8")
            </#if>
	   public ${srfjavatype(formitem.getPSDEField().stdDataType)} ${formitem.getName()?lower_case};//[${defield.getLogicName()}]
       public void set${formitem.getName()?lower_case?cap_first}(${srfjavatype(formitem.getPSDEField().stdDataType)} ${formitem.getName()?lower_case}) {
            this.${formitem.getName()?lower_case}=${formitem.getName()?lower_case};
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("${defield.name?lower_case}");
            searchField.setCondition(SearchFieldType.${formitem.getValueOp()});
            searchField.setValue(${formitem.getName()?lower_case});
            this.getCondition().add(searchField);
       }
        </#list>
    </#if>
</#list>

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
<#if item.getPSDEFields()??>
<#list item.getPSDEFields() as defield>
    <#if defield.isEnableQuickSearch()==true>
        <#if !P.exists(de.getCodeName(),"searchcontext","querybegin")>
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);
        </#if>

           SearchFieldFilter ${defield.codeName?lower_case}=new SearchFieldFilter();
           ${defield.codeName?lower_case}.setParam("${defield.codeName?lower_case}");
           ${defield.codeName?lower_case}.setCondition(SearchFieldType.LIKE);
           ${defield.codeName?lower_case}.setValue(strQuery);
           searchGroupFilter.getCondition().add(${defield.codeName?lower_case});
        this.getCondition().add(searchGroupFilter);   
    </#if>
</#list>

           
</#if>
           
        }
	}
}
